<?php

# ***** BEGIN LICENSE BLOCK *****
# This file is part of passCat plugin for DotClear 1.2.3.
# Copyright (c) 2006 Mikal Pirio and contributors. All rights
# reserved.
#
# passCat is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# as published by the Free Software Foundation.
#
# passCat is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with passCat; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****

# inclusion (je sais pas si a se dit...) de tous les fichiers
require_once dirname(__FILE__).'/../../../inc/classes/class.ini.file.php';
require_once dirname(__FILE__).'/inc/classes/class.passcat_error.php';
require_once dirname(__FILE__).'/inc/classes/class.passcat.php';
require_once dirname(__FILE__).'/inc/classes/class.passcat_blog.php';
require_once dirname(__FILE__).'/inc/classes/class.passcat_plugins.php';

# configuration de passCat
$passCat_config_file = DC_SHARE_DIR.'/passCat/passcat.conf';
if (!file_exists(dirname($passCat_config_file))) files::makeDir(dirname($passCat_config_file));
if (!file_exists($passCat_config_file)) touch($passCat_config_file);
$passCat_config = new iniFile($passCat_config_file);
$passCat_config->read($passCat_config_file);

# gestion des erreurs
$passCat_error = new passCat_error();

# va permettre de mettre passCat  la fin, lors de la deuxime boucle dans
# layout/prepend.php. Son postcon.php sera donc le dernier excut :D
$passCat_plugins = new passCat_plugins($objPlugins);
$objPlugins = $passCat_plugins;


passCat_info();
passCat_info('== PASSCAT : le blog == ');
passCat_info('==> functions.php');

# cration de l'objet passCat
$passCat = new passCat();

# chargement fichier de langues pour l'interface d'authentification passCat
if (dc_encoding == 'UTF-8') {
	l10n::set(dirname(__FILE__).'/l10n/'.$__lang.'-utf8/auth');
} else {
	l10n::set(dirname(__FILE__).'/l10n/'.$__lang.'/auth');
}


### GESTION DU COOKIE passCat ###
# si passCatDelCookie existe, on efface le cookie passcat
$passCatDelCookie = (!empty($_GET['passCatDelCookie'])) ? $_GET['passCatDelCookie'] : '';

passCat_info('  $passCatDelCookie = '.$passCatDelCookie);

if($passCatDelCookie == 1) {
	if($passCat->delCookie()) {
		# on met  jour le cache de index
		passCat_info('  Mise  jour du cache de index.php');
		define('DC_UPDATE_FILE',dirname(__FILE__).'/../../../index.php');
		files::touch(DC_UPDATE_FILE);

		passCat_info('  Redirection vers '.dc_blog_url);
		# et on redirige
		header('Location: '.dc_blog_url);
	}
}

passCat_info('<== functions.php');

?>
