<?php

# ***** BEGIN LICENSE BLOCK *****
# This file is part of passCat plugin for DotClear 1.2.3.
# Copyright (c) 2006 Mikal Pirio and contributors. All rights
# reserved.
#
# passCat is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# as published by the Free Software Foundation.
#
# passCat is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with passCat; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****


# va permettre de mettre passCat  la fin, lors de la deuxime boucle dans
# layout/prepend.php. Son postcon.php sera donc le dernier excut :D

require_once dirname(__FILE__).'/../../../../../inc/classes/class.plugins.php';


class passCat_plugins extends plugins {

	#Constructeur prenant l'obj Plugin de DC
	function passCat_plugins($objPlugin) {

		passCat_info('passCat_plugins::passCat_plugins()');

		# recopie de chaque membre de l'obj Plugin de DC
		foreach(get_object_vars($objPlugin) as $key => $val) {
			$this->$key = $val;

			# affichage pour DEBUG
			if (is_array($val)) {
				passCat_info('  +  '.$key.' = tableau (');
				foreach($val as $k => $v) passCat_info('           ['.$k.'] = '.$v);
				passCat_info('                )');
			}
			else passCat_info('  + '.$key.' = '.$val);
			
		}
	}


	function getFunctions($f='functions.php') {
	
		passCat_info('passCat_plugins::getFunctions('.$f.');');

		$res = array();
		$passCat_entry='';

		if (($list_files = $this->_readDir()) !== false) {

			foreach ($list_files as $entry => $pfile) {

				passCat_info('passCat_plugins::getFunctions  + $entry = '.$entry);
				passCat_info('                               + $pfile = '.$pfile);

				if (file_exists(dirname($pfile).'/'.$f)) {
					if ($entry == 'passcat') {
						$passCat_entry = dirname($pfile).'/'.$f;
					}
					else {
						$res[] = dirname($pfile).'/'.$f;
					}
				}
			}
		}

		# Et hop, on place passCat tout  la fin :D
		if ($passCat_entry != '') {
			passCat_info('passCat_plugins::getFunctions + ajoute de '.$passCat_entry.'  la fin');
			array_push($res,$passCat_entry);
		}

		passCat_info('passCat_plugins::getFunctions + tableau retourn :');
		foreach($res as $key => $val) {
			passCat_info('passCat_plugins::getFunctions         '.$key.' : '.$val);
		}

		return $res;
	}
}

?>
