var request = new XMLHttpRequest();
var id=0;
var cancel=false;
var end=false;

function doCancel() {
	if (!end) {
		cancel = true;
		var progressbar = document.getElementById('progressbar');
		progressbar.style.background="#e00";
		progressbar.style.width="100%";
		progressbar.innerHTML=l10n["Canceled"];
	} else {
		window.close();
	}
}

function sendRequest(args) {
	request = new XMLHttpRequest();
	if (request) {
		request.onreadystatechange = processNext;
		request.open('GET',args);
		request.send(null);
	}
}

function translate(request) {
	var items = request.responseXML.getElementsByTagName("item");
	var result="";
	for (i=0; i<items.length;i++) {
		result += "<p>";
		var item = items.item(i);
		switch (item.getAttribute("status")) {
			case "success":
				result += '<img src="../../images/check_on.png" alt="ok" />';
				break;
			case "failure":
				result += '<img src="../../images/check_off.png" alt="ko" />';
				break;
		}
		result += item.getAttribute("text");
		result += "</p>\n";
	}
	
	return result;
}

function processNext() {
	if((request.readyState == 4) && !cancel){
		var appender = document.getElementById('process');
		var progressbar = document.getElementById('progressbar');
		id++;
		var percent = parseInt(id * 100 / actions.length);
		progressbar.style.width=percent+"%";
		progressbar.innerHTML=percent+"%";
		appender.innerHTML+=translate(request);
//		                appender.innerHTML+=request.responseText;

		if ((id < actions.length) && !cancel) {
			setTimeout("sendRequest(actions[id])",1);
		} else if (id == actions.length) {
			var cancelbtn = document.getElementById('cancel');
			cancelbtn.value=l10n["Close"];
			end=true;
		}
	}
}



function doProcess() {
	sendRequest(actions[id]);
}
